; Urban Flight 3

; Make sure weapon spawns don't absorb the weapon you're holding
modify:
{
	match:
	{
		"classname" "weapon_spawn"
	}
	replace:
	{
		"spawnflags" "10"
	}
}

; --- Remove end saferoom pills.
filter:
{
	"hammerid" "5131379"
}
{
	"hammerid" "5131381"
}
{
	"hammerid" "5131383"
}
{
	"hammerid" "5131385"
}

; Add Pill Spawns
add:
{
	"origin" "1600.369873 -6621.275879 -193.968750"
	"angles" "0 0 0"
	"classname" "weapon_item_spawn"
	"spawnflags" "2"
	"item1" "0"
	"item2" "0"
	"item3" "0"
	"item4" "1"
	"item5" "0"
	"item6" "0"
	"item7" "0"
	"item8" "0"
	"item11" "0"
	"item12" "0"
	"item13" "0"
	"item16" "0"
	"item17" "0"
	"item18" "0"
}
{
	"origin" "-326.125580 -4985.338867 59.217258"
	"angles" "0 0 0"
	"classname" "weapon_item_spawn"
	"spawnflags" "2"
	"item1" "0"
	"item2" "0"
	"item3" "0"
	"item4" "1"
	"item5" "0"
	"item6" "0"
	"item7" "0"
	"item8" "0"
	"item11" "0"
	"item12" "0"
	"item13" "0"
	"item16" "0"
	"item17" "0"
	"item18" "0"
}
{
	"origin" "-126.415863 -5291.024902 138.031250"
	"angles" "0 0 0"
	"classname" "weapon_item_spawn"
	"spawnflags" "2"
	"item1" "0"
	"item2" "0"
	"item3" "0"
	"item4" "1"
	"item5" "0"
	"item6" "0"
	"item7" "0"
	"item8" "0"
	"item11" "0"
	"item12" "0"
	"item13" "0"
	"item16" "0"
	"item17" "0"
	"item18" "0"
}
{
	"origin" "-1138.521362 -7401.727051 62.031250"
	"angles" "0 0 0"
	"classname" "weapon_item_spawn"
	"spawnflags" "2"
	"item1" "0"
	"item2" "0"
	"item3" "0"
	"item4" "1"
	"item5" "0"
	"item6" "0"
	"item7" "0"
	"item8" "0"
	"item11" "0"
	"item12" "0"
	"item13" "0"
	"item16" "0"
	"item17" "0"
	"item18" "0"
}
{
	"origin" "-1275.250732 -4769.161621 56.031250"
	"angles" "0 0 0"
	"classname" "weapon_item_spawn"
	"spawnflags" "2"
	"item1" "0"
	"item2" "0"
	"item3" "0"
	"item4" "1"
	"item5" "0"
	"item6" "0"
	"item7" "0"
	"item8" "0"
	"item11" "0"
	"item12" "0"
	"item13" "0"
	"item16" "0"
	"item17" "0"
	"item18" "0"
}
{
	"origin" "-1642.853394 -456.665161 103.975227"
	"angles" "0 0 0"
	"classname" "weapon_item_spawn"
	"spawnflags" "2"
	"item1" "0"
	"item2" "0"
	"item3" "0"
	"item4" "1"
	"item5" "0"
	"item6" "0"
	"item7" "0"
	"item8" "0"
	"item11" "0"
	"item12" "0"
	"item13" "0"
	"item16" "0"
	"item17" "0"
	"item18" "0"
}

; Remove all but 1 hittable in first parking lot
filter:
{
	"targetname" "parkinglot_car1_-caralarm_car1"
}
{
	"parentname" "parkinglot_car1_-caralarm_car1"
}
{
	"targetname" "parkinglot_car2_-caralarm_car1"
}
{
	"parentname" "parkinglot_car2_-caralarm_car1"
}
{
	"targetname" "InstanceAuto14-car_physics"
}
{
	"parentname" "InstanceAuto14-car_physics"
}
{
	"classname" "prop_physics"
	"origin" "528 -9528 0"
}

add:
{
	"classname" "prop_dynamic"
	"origin" "0 -8928 0"
	"angles" "-0 90 0"
	"solid" "6"
	"rendercolor" "255 255 255"
	"model" "models/props_vehicles/cara_69sedan_glass.mdl"
}
{
	"classname" "prop_dynamic"
	"origin" "0 -8928 0"
	"angles" "-0 90 0"
	"solid" "6"
	"rendercolor" "255 255 255"
	"model" "models/props_vehicles/cara_69sedan.mdl"
}
{
	"classname" "prop_dynamic"
	"origin" "255.328 -9440.27 0.369843"
	"angles" "-0 -90 0"
	"solid" "6"
	"rendercolor" "255 255 255"
	"model" "models/props_vehicles/cara_95sedan_glass.mdl"
}
{
	"classname" "prop_dynamic"
	"origin" "255.328 -9440.27 0.369841"
	"angles" "-0 -90 0"
	"solid" "6"
	"rendercolor" "138 37 9"
	"model" "models/props_vehicles/cara_95sedan.mdl"
}
{
	"classname" "prop_dynamic"
	"origin" "240.719 -8919.91 0.369843"
	"angles" "-0 75 0"
	"solid" "6"
	"rendercolor" "255 255 255"
	"model" "models/props_vehicles/cara_95sedan_glass.mdl"
}
{
	"classname" "prop_dynamic"
	"origin" "240.719 -8919.91 0.369841"
	"angles" "-0 75 0"
	"solid" "6"
	"rendercolor" "138 37 9"
	"model" "models/props_vehicles/cara_95sedan.mdl"
}

; Force survivors to either cut through water-side boathouse or land-side boathouse
; but not cut through without going in either.
modify:
{
	match:
	{
		"targetname" "harbor_fences_case"
	}
	delete:
	{
		; FenceD - blocks front door entrance to water-side boathouse
		; FenceC & FenceB - block survivors from cutting between two
		;     boathouses instead of going into them
		; FenceA - blocks exit door from land-side boathouse

		"OnCase02" "gateFenceA_templateForceSpawn0-1"
		"OnCase03" "gateFenceB_templateForceSpawn0-1"
		"OnCase03" "gateFenceC_templateForceSpawn0-1"
		"OnCase04" "gateFenceB_templateForceSpawn0-1"
		"OnCase04" "gateFenceC_templateForceSpawn0-1"
		"OnCase04" "gateFenceA_templateForceSpawn0-1"
		"OnCase05" "gateFenceA_templateForceSpawn0-1"
		"OnCase05" "gateFenceB_templateForceSpawn0-1"
		"OnCase05" "gateFenceD_templateForceSpawn0-1"
	}
	insert:
	{
		; Hijack case 1 to do the same thing that case 3 does
		"OnCase01" "gateFenceB_templateForceSpawn0-1"
		"OnCase01" "gateFenceC_templateForceSpawn0-1"
	}
}

; Make hedge maze static
modify:
{
	match:
	{
		"targetname" "logicMaze_Initial"
	}
	delete:
	{
		;"OnCase01" "logicMaze_LeftPickRandom0-1"
		"OnCase02" "logicMaze_RightPickRandom0-1"
		"OnCase02" "gateMaze_InitialRightKill0-1"
	}
}
{
	match:
	{
		"targetname" "logicMaze_Left"
	}
	delete:
	{
		; case 2 looks like it reduces the number of ledges the
		; survivors have to walk past so we're going with that
		"OnCase01" "gateMaze_LeftAKill0-1"
		;"OnCase02" "gateMaze_LeftBKill0-1"
		"OnCase01" "logicMaze_LeftA1PickRandom0-1"
		;"OnCase02" "logicMaze_LeftB1PickRandom0-1"
	}
}
{
	match:
	{
		"targetname" "logicMaze_LeftB1"
	}
	delete:
	{
		"OnCase01" "gateMaze_circleAKill0-1"
		;"OnCase02" "gateMaze_circleBKill0-1"
		"OnCase01" "logicMaze_CircleA1PickRandom0-1"
		;"OnCase02" "logicMaze_CircleB1PickRandom0-1"
	}
}
{
	match:
	{
		"targetname" "logicMaze_CircleB1"
	}
	delete:
	{
		"OnCase01" "gateMaze_BridgeAKill0-1"
		;"OnCase02" "gateMaze_CenterBKill0-1"
		;"OnCase02" "logicMaze_CenterB1PickRandom0-1"
		"OnCase01" "logicMaze_BridgeA1PickRandom0-1"
	}
}
{
	match:
	{
		"targetname" "logicMaze_CenterB1"
	}
	delete:
	{
		; Trench - a water spot with a small bridge and a little ladder?
		; Pond - just a little pond
		"OnCase01" "gateMaze_PondBKill0-1"
		;"OnCase02" "gateMaze_TrenchAKill0-1"
		;"OnCase02" "logicMaze_TrenchA2PickRandom0-1"
	}
}
{
	match:
	{
		"targetname" "logicMaze_TrenchA2"
	}
	delete:
	{
		"OnCase01" "gateMaze_PondBKill0-1"
		"OnCase02" "gateMaze_StreetBKill0-1"
		"OnCase02" "gateMaze_StreetAKill0-1"
		;"OnCase03" "gateMaze_RightAKill0-1"
		;"OnCase03" "gateMaze_RightBKill0-1"
		;"OnCase03" "gateMaze_HillBKill0-1"
		;"OnCase03" "gateMaze_StreetBKill0-1"
	}
	insert:
	{
		; Open up the bushes surrounding the bridge in the hedge maze
		; because its pretty
		"OnCase03" "gateMaze_HillAKill0-1"
		"OnCase03" "gateMaze_BridgeAKill0-1"
	}
}

; Make "warehouse" / land-side boathouse layout static
modify:
{
	match:
	{
		"targetname" "warehouse_case"
	}
	delete:
	{
		;"OnCase01" "template_warehouseAForceSpawn0-1"
		"OnCase02" "template_warehouseBForceSpawn0-1"
	}
}
{
	match:
	{
		"targetname" "warehouse_items_caseA"
	}
	delete:
	{
		"OnCase01" "warehouse_itemA2Kill0-1"
		;"OnCase03" "warehouse_itemA1Kill0-1"
		"OnCase01" "warehouse_itemA3Kill0-1"
		"OnCase02" "warehouse_itemA1Kill0-1"
		"OnCase02" "warehouse_itemA3Kill0-1"
		;"OnCase03" "warehouse_itemA2Kill0-1"
	}
}

; Make car alarm static
modify:
{
	match:
	{
		"targetname" "parkinglot_case"
	}
	delete:
	{
		;"OnCase03" "parkinglot_car2_-relay_caralarm_onTrigger0-1"
		"OnCase01" "parkinglot_car3_-relay_caralarm_onTrigger0-1"
		"OnCase05" "parkinglot_car1_-relay_caralarm_onTrigger0-1"
		;"OnCase02" "parkinglot_car2_-relay_caralarm_onTrigger0-1"
		"OnCase04" "parkinglot_car1_-relay_caralarm_onTrigger0-1"
	}
}

; Make harbor office consistently open
modify:
{
	match:
	{
		"targetname" "harborOffice_case"
	}
	delete:
	{
		;"OnCase01" "harborOffice_woodKill0-1"
		"OnCase02" "harborOffice_blockerBlockNav0-1"
	}
}

; Make explosive barrels static
filter:
{
	"targetname" "fuel_case"
}
{
	"targetname" "fuel2"
}
{
	"targetname" "fuel3"
}
{
	"targetname" "fuel6"
}
{
	"targetname" "fuel7"
}
{
	"targetname" "fuel10"
}

; Open up room after first drop after safe room
modify:
{
	match:
	{
		"targetname" "hotel_storeroom_case"
	}
	delete:
	{
		"OnCase01" "hotel_storeroom_door_navblockBlockNav0-1"
		;"OnCase02" "hotel_storeroom_doorKill0-1"
		;"OnCase02" "hotel_storeroom_door_navblockKill0-1"
	}
}

; Make sure door beneath first bridge pulldown spot is always closed
; It's a less interesting route than going through the offices
modify:
{
	match:
	{
		"targetname" "harbor_basement_case"
	}
	delete:
	{
		"OnCase01" "harbor_basement_shelvesKill0-1"
		;"OnCase02" "harbor_basement_doorSetRotationDistance150-1"
	}
}
{
	match:
	{
		"targetname" "harbor_basement_door"
	}
	replace:
	{
		"distance" "15"
	}
}

; Ensure barricade in hallway before huge choke is always gone
modify:
{
	match:
	{
		"targetname" "office_case"
	}
	insert:
	{
		"OnCase02" "office_gateAKill0-1"
	}
}

; Make container on docks always open
modify:
{
	match:
	{
		"targetname" "container_case"
	}
	delete:
	{
		"OnCase01" "container_openKill0-1"
		;"OnCase02" "container_closedKill0-1"
		"OnCase01" "container_open_navblockKill0-1"
		"OnCase01" "container_closed_navblockBlockNav0-1"
		;"OnCase02" "container_closed_navblockKill0-1"
		;"OnCase02" "container_open_navblockBlockNav0-1"
	}
}

; Make sure ammo pile midway across bridge is always there
modify:
{
	match:
	{
		"hammerid" "84365"
	}
	replace:
	{
		"spawnflags" "2"
	}
}

; Add prop to allow survs to jump back through choke
add:
{
	"classname" "prop_dynamic"
	"origin" "-2137 -7247 224"
	"angles" "0 41.5 0"
	"solid" "6"
	"rendercolor" "255 255 255"
	"model" "models/props/cs_militia/boxes_garage_lower.mdl"
}

; Remove auto-crouch trigger on choke
filter:
{
	"classname" "trigger_auto_crouch"
}

; Cover up broken infected ladder near beginning safe room
add:
{
	"classname" "prop_dynamic"
	"origin" "-196 -9643 -4"
	"angles" "0 181.5 0"
	"solid" "6"
	"rendercolor" "255 255 255"
	"disableshadows" "1"
	"model" "models/props_foliage/urban_hedge_256_128_high.mdl"
}
{
	"classname" "prop_dynamic"
	"origin" "-410 -9646 -4"
	"angles" "0 181 0"
	"solid" "6"
	"rendercolor" "255 255 255"
	"disableshadows" "1"
	"model" "models/props_foliage/urban_hedge_256_128_high.mdl"
}

; Add rocks out in water in case survivors try to run half the map out there
add:
{
	"classname" "prop_dynamic"
	"origin" "3804 -8149 -359"
	"angles" "0 87.5 0"
	"solid" "6"
	"rendercolor" "255 255 255"
	"model" "models/props_foliage/rock_coast02g.mdl"
}
{
	"classname" "prop_dynamic"
	"origin" "3835 -7990 -388"
	"angles" "0 69 0"
	"solid" "6"
	"rendercolor" "255 255 255"
	"model" "models/props_foliage/rock_coast02h.mdl"
}
{
	"classname" "prop_dynamic"
	"origin" "4041 -7565 -391"
	"angles" "0 69 0"
	"solid" "6"
	"rendercolor" "255 255 255"
	"model" "models/props_foliage/rock_coast02a.mdl"
}
{
	"classname" "prop_dynamic"
	"origin" "4138 -6619 -392"
	"angles" "0 342.5 0"
	"solid" "6"
	"rendercolor" "255 255 255"
	"model" "models/props_foliage/rock_coast02c.mdl"
}
{
	"classname" "prop_dynamic"
	"origin" "4211 -5378 -404"
	"angles" "0 342.5 0"
	"solid" "6"
	"rendercolor" "255 255 255"
	"model" "models/props_foliage/rock_coast02h.mdl"
}
{
	"classname" "prop_dynamic"
	"origin" "4342 -5553 -420"
	"angles" "0 234.5 0"
	"solid" "6"
	"rendercolor" "255 255 255"
	"model" "models/props_foliage/rock_coast02h.mdl"
}
{
	"classname" "prop_dynamic"
	"origin" "3946 -6483 -364"
	"angles" "0 342.5 0"
	"solid" "6"
	"rendercolor" "255 255 255"
	"model" "models/props_foliage/rock_coast02g.mdl"
}
{
	"classname" "prop_dynamic"
	"origin" "3149 -5555 -426"
	"angles" "0 342.5 0"
	"solid" "6"
	"rendercolor" "255 255 255"
	"model" "models/props_foliage/rock_coast02h.mdl"
}
{
	"classname" "prop_dynamic"
	"origin" "4164 -7989 -440"
	"angles" "0 342.5 0"
	"solid" "6"
	"rendercolor" "255 255 255"
	"model" "models/props_foliage/rock_coast02h.mdl"
}
{
	"classname" "prop_dynamic"
	"origin" "4350 -6328 -442"
	"angles" "0 100.5 0"
	"solid" "6"
	"rendercolor" "255 255 255"
	"model" "models/props_foliage/rock_coast02h.mdl"
}

